Skip to main content
GET
/
v1
/
machines
/
{machine_id}
/
executions
Typescript
const client = new Dedalus();

const result = await client.machines.executions.list({ ...params });
{ "items": [ { "command": [ "<string>" ], "created_at": "2023-11-07T05:31:56Z", "execution_id": "<string>", "machine_id": "<string>", "status": "wake_in_progress", "artifacts": [ { "artifact_id": "<string>", "name": "<string>" } ], "completed_at": "2023-11-07T05:31:56Z", "cwd": "<string>", "env_keys": [ "<string>" ], "error_code": "<string>", "error_message": "<string>", "exit_code": 123, "expires_at": "2023-11-07T05:31:56Z", "retry_after_ms": 123, "signal": 123, "started_at": "2023-11-07T05:31:56Z", "stderr_bytes": 123, "stderr_truncated": true, "stdout_bytes": 123, "stdout_truncated": true } ], "next_cursor": "<string>" }

Authorizations

x-api-key
string
header
required

Dedalus API key. Alternative to Bearer token.

Headers

X-Dedalus-Org-Id
string

Path Parameters

machine_id
string
required

Query Parameters

limit
integer<int64>
cursor
string

Response

OK

items
object[] | null
required
next_cursor
string
Last modified on April 9, 2026